<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="th_tamthu" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="net.sf.jasperreports.export.character.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="java.util.Map"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay, to_char(sysdate,'mm') thang, to_char(sysdate,'yyyy') nam from dual]]>
		</queryString>
		<field name="ngay" class="java.lang.String"/>
		<field name="thang" class="java.lang.String"/>
		<field name="nam" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="thangtc" class="java.lang.String"/>
	<parameter name="ngay" class="java.lang.String"/>
	<parameter name="thang" class="java.lang.String"/>
	<parameter name="nam" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ? := admin_v2.bienban_bg.bg_tonghop_tamthu_vnp('{p0chuky}','CCS_{p0tentinh}.'); end;]]>
	</queryString>
	<field name="ngay" class="java.lang.String"/>
	<field name="thang" class="java.lang.String"/>
	<field name="nam" class="java.lang.String"/>
	<field name="short_name" class="java.lang.String"/>
	<field name="hinhthuc" class="java.lang.String"/>
	<field name="ma_tb" class="java.lang.String"/>
	<field name="cuoiky" class="java.lang.Number"/>
	<field name="dauky" class="java.lang.Number"/>
	<field name="ps_no" class="java.lang.Number"/>
	<field name="ps_co" class="java.lang.Number"/>
	<field name="ghichu" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<field name="nhom" class="java.lang.String"/>
	<field name="ten_nhom" class="java.lang.String"/>
	<variable name="dauky_1" class="java.lang.String"/>
	<variable name="ps_no_1" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="166" splitType="Stretch">
			<staticText>
				<reportElement x="2" y="100" width="547" height="19"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[BIÊN BẢN BÀN GIAO TỔNG HỢP TẠM THU]]></text>
			</staticText>
			<textField>
				<reportElement x="284" y="119" width="187" height="20"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{thangtc}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="2" y="150" width="25" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="27" y="150" width="130" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số dư đầu kỳ]]></text>
			</staticText>
			<staticText>
				<reportElement x="157" y="150" width="130" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Phát sinh nợ]]></text>
			</staticText>
			<staticText>
				<reportElement x="412" y="150" width="130" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số dư cuối kỳ]]></text>
			</staticText>
			<staticText>
				<reportElement x="122" y="119" width="154" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[THÁNG]]></text>
			</staticText>
			<staticText>
				<reportElement x="287" y="150" width="125" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Phát sinh có]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="25" width="282" height="16"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[TRUNG TÂM TÍNH CƯỚC]]></text>
			</staticText>
			<staticText>
				<reportElement x="284" y="10" width="265" height="16"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[CỘNG HOÀ XÃ HỘI CHỦ NGHĨA VIỆT NAM
]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="10" width="282" height="16"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="false" isItalic="false" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[CÔNG TY DỊCH VỤ VIỄN THÔNG]]></text>
			</staticText>
			<line>
				<reportElement x="106" y="38" width="69" height="1"/>
			</line>
			<staticText>
				<reportElement x="2" y="40" width="282" height="16"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="false" isItalic="false" isUnderline="false" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Tel: 04.37731152 - Fax: 04.38358753]]></text>
			</staticText>
			<staticText>
				<reportElement x="284" y="25" width="265" height="16"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Độc lập - tự do - hạnh phúc]]></text>
			</staticText>
			<staticText>
				<reportElement x="233" y="40" width="322" height="21"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="false" isItalic="true" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Hà Nội, Ngày     Tháng      Năm]]></text>
			</staticText>
			<textField>
				<reportElement x="433" y="42" width="56" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isItalic="true"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="386" y="42" width="59" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isItalic="true"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="475" y="42" width="69" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isItalic="true"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam")]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="350" y="38" width="136" height="1"/>
			</line>
		</band>
	</title>
	<pageHeader>
		<band/>
	</pageHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<textField>
				<reportElement x="157" y="0" width="130" height="15"/>
				<box rightPadding="2">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($F{ps_no}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="412" y="0" width="130" height="15"/>
				<box rightPadding="2">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($F{cuoiky}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="2" y="0" width="25" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{stt}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="287" y="0" width="125" height="15"/>
				<box rightPadding="2">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($F{ps_co}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="27" y="0" width="130" height="15"/>
				<box rightPadding="2">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($F{dauky}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band/>
	</columnFooter>
	<pageFooter>
		<band/>
	</pageFooter>
	<summary>
		<band height="169">
			<staticText>
				<reportElement x="0" y="54" width="214" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN BÊN NHẬN]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="71" width="214" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[TT.DỊCH VỤ KHÁCH HÀNG - VTHN]]></text>
			</staticText>
			<staticText>
				<reportElement x="377" y="35" width="178" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isItalic="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Hà Nội, ngày      tháng      năm]]></text>
			</staticText>
			<staticText>
				<reportElement x="377" y="155" width="178" height="14"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Hồ Thanh Hải]]></text>
			</staticText>
			<staticText>
				<reportElement x="377" y="56" width="178" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN BÊN GIAO]]></text>
			</staticText>
			<textField>
				<reportElement x="445" y="35" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="489" y="35" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="529" y="35" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam")]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="377" y="70" width="178" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[GIÁM ĐỐC TRUNG TÂM]]></text>
			</staticText>
			<staticText>
				<reportElement x="214" y="71" width="163" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[NGƯỜI LẬP BIỂU]]></text>
			</staticText>
			<staticText>
				<reportElement x="214" y="155" width="163" height="14"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Lê Thị Hồng Văn]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
